- platform: integration
  unique_id: energy_import_sum_v2
  source: sensor.energy_from_grid
  name: "Total Energy from Grid v2"
  unit_prefix: k
  round: 2
  method: left

- platform: integration
  unique_id: energy_export_sum_v2
  source: sensor.energy_to_grid
  name: "Total Energy to Grid v2"
  unit_prefix: k
  round: 2
  method: left

- platform: integration
  unique_id: energy_consumption_sum_v2
  source: sensor.estimated_power_consumption
  name: "Total Estimated Energy Consumption v2"
  unit_prefix: k
  round: 2
  method: left

- platform: integration
  unique_id: energy_pv_consumption_sum_v2
  source: sensor.estimated_pv_consumption
  name: "Total Estimated PV Consumption v2"
  unit_prefix: k
  round: 2
  method: left
